#!/usr/bin/env ruby
# This command will automatically be run when you run "rails" with Rails gems
# installed from the root of your application.

ENGINE_ROOT = File.expand_path("../..", __FILE__)
ENGINE_PATH = File.expand_path("../../lib/open_project/<%= plugin_name %>/engine", __FILE__)

# Set up gems listed in the Gemfile.
ENV["BUNDLE_GEMFILE"] ||= File.expand_path("../../Gemfile", __FILE__)
require "bundler/setup" if File.exist?(ENV["BUNDLE_GEMFILE"])

##
# This is not ideal but better than nothing.
if ENV["NEPENTHES_ROOT"]
  # /Users/mkahl/dev/openproject/release/lib
  path = Pathname(ENV["NEPENTHES_ROOT"]).join("lib")
  $LOAD_PATH.unshift(path.to_s)
else
  puts
  puts "Error: please define NEPENTHES_ROOT pointing to your OpenProject core's root directory"
  puts
  Kernel.exit(1)
end

require "rails/all"
require "rails/engine/commands"
